body {
    margin: 0;
    background-size: cover;
    background-position: center;
    display: flex;
    transition: background 1s ease-in-out;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


h1 {
    font-family: "tropiLand", sans-serif;
    font-size: 90px;
    letter-spacing: 12px;
    transition: color 0.3s ease;
    animation:bounce 1s infinite alternate;
}

h1:hover {
    color: rgb(85, 43, 123)
}

@keyframes bounce {
    from {transform: translateY(0); }
    to {transform: translateY(-15px);  }
}
.pad {
    width: 500px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.box {
    width: 100px;
    position: relative;
    font-family: "coffee", sans-serif;
    height: 100px;
    margin: 10px 0;
    user-select: none;
    box-shadow: 0 8px 6px -6px rgb(24, 26, 37);
    background-color: rgba(52, 74, 116, 0.904);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    overflow: hidden;
    color: rgb(248, 248, 250);
    border: 4px solid;
}

.a{
   background-color: rgba(52, 74, 116, 0.904); 
}

.b{
    background-color: rgba(114, 52, 116, 0.904);
}

.c{
    background-color: rgba(153, 52, 108, 0.904);
}

.ripple-el {
  position: absolute;
  border-radius: 50%;
  background: rgba(219, 200, 200, 0.527);
  transform: scale(0);
  animation: rippleAnimation 0.5s linear;
  pointer-events: none;
}

@keyframes rippleAnimation {
  to { transform: scale(4); opacity: 0; }
}

.a:hover {
    background-color: rgba(44, 65, 102, 0.788);
    transform: translateY(-5px);
    cursor: pointer;
}

.a:active {
    background-color: rgb(30, 34, 85);
    transform: scale(1.1);
    transition: all 0.3s;
}

.b:hover {
    background-color: rgba(175, 86, 148, 0.788);
    transform: translateY(-5px);
    cursor: pointer;
}

.b:active {
    background-color: rgb(194, 95, 189);
    transform: scale(1.1);
    transition: all 0.3s;
}

.c:hover {
    background-color: rgba(221, 111, 166, 0.788);
    transform: translateY(-5px);
    cursor: pointer;
}

.c:active {
    background-color: rgb(209, 101, 167);
    transform: scale(1.1);
    transition: all 0.3s;
}

.key-label {
  position: absolute;
  bottom: 6px;
  right: 8px;
  font-size: 13px;
  opacity: 0.7;
  font-family: "Assistant", sans-serif;
}

@font-face {
    font-family:"tropiLand";
    src: url("fonts/Tropi\ Land\ -\ \(Demo\)\ hanscostudio.com.ttf") format("truetype");
}

@font-face {
    font-family:"coffee";
    src: url("fonts/Coffee\ Spark.otf") format("truetype");
}

.tooltip {
    position:relative;
    align-items: center;
    cursor: pointer;
}

.tooltip .tooltip-text {
    visibility: hidden;
    width: 150px;
    background-color: rgba(0, 0, 0, 0.722);
    font-family: "perfect", sans-serif;
    color: #fff;
    text-align: center;
    border-radius: 20px;
    padding: 5px 5px;
    position: absolute;
    z-index: 1;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}

@font-face {
    font-family:"perfect";
    src: url("fonts/KGPerfectPenmanship.ttf") format("truetype");
}

.controls {
  justify-content: center;
  border: 3px solid rgba(0, 0, 0, 0.712);
  align-items: center;
  gap: 10px;
  padding: 12px 30px;
  background: rgba(198, 241, 239, 0.605);
  border-radius: 50px;
  margin: 0 auto 25px auto;  
  width: fit-content;
}

.btn {
    text-align: center;
    font-family: "perfect", sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: #000000;
    border-radius: 5px;
    cursor: pointer;
    padding: 10px 15px;  
    text-decoration: none; 
}

.r {
    background-color: rgba(127, 212, 255, 0.922);
    transition: all 0.3s ease;
}

.r:hover {
    background-color:rgba(178, 243, 243, 0.812);
    transform: scale(1.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.334);
}

.s {
    background-color:rgba(127, 172, 255, 0.922);
    transition: all 0.3s ease;
}

.s:hover {
    background-color:rgba(178, 192, 243, 0.812);
    transform: scale(1.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.364);
}

.p {
    background-color:rgba(200, 127, 255, 0.922);
    transition: all 0.3s ease;
}

.p:hover {
    background-color: rgba(210, 167, 244, 0.922);
    transform: scale(1.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.34);
}

.sp {
    background-color: rgba(255, 127, 255, 0.922);
    transition: all 0.3s ease;
}

.sp:hover {
    background-color: rgba(245, 168, 245, 0.922); 
    transform: scale(1.1);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.326);
}
.recording{
    background-color: #c74c4cd4;
}

.playing{
    background-color: #3ce789b0;
}

@font-face{
    font-family:"kissing-season";
    src: url("fonts/Kissing\ Season.ttf") format("truetype");
}

.start-info {
    text-align: center;
    font-family: "kissing-season", sans-serif;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 2px;
}

.instructions {
    text-align: center;
    font-family: "kissing-season", sans-serif;
    font-size: 25px;
    font-weight:500;
    margin-right: 50px;
    margin-left: 50px;
    margin-bottom: 40px;
    margin-top: -20px;
    transition: all 0.4s ease;
}

.instructions:hover {
    color:rgb(96, 14, 66)
}

.note {
    font-family: "assistant", sans-serif;
    font-size: 16px;
    text-align: center;
    margin-top: 20px;
    margin-right:50px;
    margin-left: 50px;
    color: rgb(11, 12, 14);
}

.note-container {
    display: flex;
    justify-content: center;
    background-color: white;
    border-radius: 30px;
    padding: 10px;
    width: fit-content;
    margin-top: 30px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.311);
    animation: bounce2 0.8s infinite alternate;
}

@keyframes bounce2 {
    from {transform: translateY(2px);}
    to {transform: translateY(-15px);}
}

.strong {
    font-weight: 700;
}

button.toggle-ideas {
    display: block;
    margin: 10px auto;
    font-family: "perfect", sans-serif;
    font-size: 15px;
    font-weight: 400;
    color: #000000;
    border-radius: 90px;
    cursor: pointer;
    padding: 6px 12px;  
    text-decoration: none; 
    background-color: #994c99ee;
    margin-top: 15px;
    margin-bottom: 15px;
    transition: all 0.3s ease;
}

button.toggle-ideas:hover {
    background-color: #f8a2f8b9;
    transform: scale(1.1);
    box-shadow: 0 4px 6px rgba(35, 35, 35, 0.493);
}

.ideas {
    display: none;
    width: 900px;
    margin: 15px auto;
    height: fit-content;
    background:#f0f8ffbe;
    box-shadow: 0 15px 40px rgba(0,0,0,0.06);
    line-height: 1.5;
    text-align: left;
    position: relative;
    border: 5px solid #be4c76e2;
    margin-bottom: 18px;
    border-radius: 20px;
    transition: all 0.3s ease;
    }

    .ideas:hover {
        transform: translateY(-10px);
        box-shadow: 0 10px 20px rgba(0,0,0,0.1);
    }

li {
    font-family: "beach", serif;
    font-size: 20px;
    font-weight: 300;
    color: rgb(46, 9, 24);
    transition: all 0.3s ease;
    margin-right: 20px;
    }

li:hover {
    color: rgb(95, 16, 47);
    background-color: rgba(243, 173, 183, 0.399);
}
@font-face {
    font-family: "beach";
    src: url("fonts/Quick\ Beach.ttf") format("truetype");
}

.melody {
    font-family: "assistant", sans-serif;
    font-size: 18px;
}

.last-text {
    font-family: "assistant", sans-serif;
    font-size: 18px;
    font-weight: 500;
    text-align: center;
    margin-top: 20px;
    margin-right:30px;
    margin-left: 30px;
    color: rgb(11, 12, 14);
}

.credits {
    position: fixed;
    bottom: 10px;
    right: 15px;
    font-size: 15px;
    font-family: "kissing-season", sans-serif;
    background-color: #f688bfd7;
    color: #000000;
    padding: 10px 15px;
    border-radius: 30px;
    transition: all 0.3s ease;
}
.credits:hover {
    transform: translateY(-10px);
    box-shadow:0 4px 8px #3a3636;
}
